## BtSettingsPageInteractionController BtSettingsPageInteractionController — interaction controller configuration settings page |

## Functions

BtSettingsPageInteractionController * | bt_settings_page_interaction_controller_new ()

## Properties

BtIcControl * | control | Read
BtIcDevice * | device | Read / Write

## Types and Values

struct | BtSettingsPageInteractionController

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── BtSettingsPageInteractionController

## Implemented Interfaces

BtSettingsPageInteractionController implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include "bt-edit.h"

## Description

Lists available interaction controller devices and allows to select controllers that should be used.

## Functions

### bt_settings_page_interaction_controller_new ()

    BtSettingsPageInteractionController *
    bt_settings_page_interaction_controller_new
                                   (GtkWidget *pages);

Create a new instance

#### Parameters

pages | the page collection |

#### Returns

the new instance

## Types and Values

### struct BtSettingsPageInteractionController

    struct BtSettingsPageInteractionController;

the root window for the editor application

## Property Details

### The `“control”` property

      “control”                  BtIcControl *

selected control.

Flags: Read

### The `“device”` property

      “device”                   BtIcDevice *

device object.

Flags: Read / Write